MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027339Open CASCADE[OCCT] OCCT:Configurationpublic2016-04-03 15:372016-12-09 16:38
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027339: CMake install should launch generation of overview documentation
DescriptionIf option INSTALL_DOC_Overview is enabled, then "make install" or (build of project INSTALL in Visual Studio) should cause generation of Overview documentation (unless already generated). Currently it is not the case, and Overview gets installed empty.
Steps To Reproduce• Configure and generate OCCT with BUILD_DOC_Overview=ON and INSTALL_DOC_Overview=ON
• Build it as usually
Result: during first build, documentation should be generated automatically.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0052570)
ibs (developer)
2016-04-11 15:09

Build_Overview project should be bound with INSTALL project
(0053900)
git (administrator)
2016-05-06 16:21

Branch CR27339 has been created by ski.

SHA-1: 8dcbdf038de4fb7cebc5ebd3df1be058f22668e3


Detailed log of new commits:

Author: ski
Date: Fri May 6 16:08:35 2016 +0300

    0027339: CMake install should launch generation of overview documentation
    
    Documentation is generated automatically during build/install process
(0053902)
ski (developer)
2016-05-06 16:23

Dear ibs,

please review.
(0053904)
ibs (developer)
2016-05-06 16:49

there are no remarks
(0054002)
bugmaster (administrator)
2016-05-11 17:20

Rejected due to :

1. cmake check doxygen must detected version of doxygen (should be 1.8.4 or above )

2. Install procedure launch generation overview in case of definition -DBUILD_DOC_Overview:BOOL=OFF and with errors because doxygen not found

http://jenkins-test-03.nnov.opencascade.com:8080/view/CR0-2016-05-11/job/CR0-2016-05-11_master-OCCT-Windows-64-VC10-opt-compile/8/parsed_console/ [^]
(0054066)
git (administrator)
2016-05-16 16:17

Branch CR27339 has been updated forcibly by ski.

SHA-1: acaf59c6e662a28cbc73f73f20f4a25c38c0a43e
(0054104)
git (administrator)
2016-05-18 12:34

Branch CR27339 has been updated by ski.

SHA-1: 4ff1ef787f83fc06d341e533b6bf777af375f2c7


Detailed log of new commits:

Author: ski
Date: Wed May 18 12:33:58 2016 +0300

    Install process causes generation of Overview documentation (unless already generated) by checking of occt_logo.png file existing.

(0054105)
git (administrator)
2016-05-18 12:36

Branch CR27339 has been updated forcibly by ski.

SHA-1: fcf19c9234eeb1131739d96d7a67b88f9bbc2236
(0054106)
ski (developer)
2016-05-18 12:41

Dear ibs,

please review.
(0054142)
git (administrator)
2016-05-19 16:26

Branch CR27339 has been updated by ski.

SHA-1: 18b68d4112d9433bc7f15d9cf7a4f68a7642bf12


Detailed log of new commits:

Author: ski
Date: Thu May 19 16:25:59 2016 +0300

    Overview project regenerates documentation if any source file was changed.

(0058143)
ibs (developer)
2016-09-26 11:13

there are no remarks
(0059096)
git (administrator)
2016-10-25 15:52

Branch CR27339 has been updated forcibly by inv.

SHA-1: 9eaef5792ed33ab8dec3a5647c51ce173e33c26e
(0059099)
apn (administrator)
2016-10-25 16:14

Fix was checked locally. Documentation was successfully automatically generated and installed.
(0059403)
git (administrator)
2016-10-28 21:37

Branch CR27339 has been deleted by kgv.

SHA-1: 9eaef5792ed33ab8dec3a5647c51ce173e33c26e

- Related Changesets
occt: master 75378f50
Timestamp: 2016-10-27 14:16:24
Author: ski
Committer: apn
Details ] Diff ]
0027339: CMake install should launch generation of overview documentation

Documentation is generated automatically during build/install process
Added check of minimum Doxygen version.
Install process causes generation of Overview documentation (unless already generated) by checking of occt_logo.png file existing.
Overview project regenerates documentation if any source file was changed.
mod - adm/cmake/doxygen.cmake Diff ] File ]
mod - dox/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-03 15:37 abv New Issue
2016-04-03 15:37 abv Assigned To => bugmaster
2016-04-11 14:58 bugmaster Assigned To bugmaster => ski
2016-04-11 15:09 ibs Note Added: 0052570
2016-04-29 12:22 ski Status new => assigned
2016-05-06 16:21 git Note Added: 0053900
2016-05-06 16:23 ski Note Added: 0053902
2016-05-06 16:23 ski Assigned To ski => ibs
2016-05-06 16:23 ski Status assigned => resolved
2016-05-06 16:23 ski Steps to Reproduce Updated View Revisions
2016-05-06 16:49 ibs Note Added: 0053904
2016-05-06 16:49 ibs Assigned To ibs => bugmaster
2016-05-06 16:49 ibs Status resolved => reviewed
2016-05-11 17:20 bugmaster Note Added: 0054002
2016-05-11 17:20 bugmaster Assigned To bugmaster => ski
2016-05-11 17:20 bugmaster Status reviewed => assigned
2016-05-16 16:17 git Note Added: 0054066
2016-05-18 12:34 git Note Added: 0054104
2016-05-18 12:36 git Note Added: 0054105
2016-05-18 12:41 ski Note Added: 0054106
2016-05-18 12:41 ski Assigned To ski => ibs
2016-05-18 12:41 ski Status assigned => resolved
2016-05-19 16:26 git Note Added: 0054142
2016-09-26 11:13 ibs Note Added: 0058143
2016-09-26 11:13 ibs Assigned To ibs => bugmaster
2016-09-26 11:13 ibs Status resolved => reviewed
2016-10-25 15:52 git Note Added: 0059096
2016-10-25 16:14 apn Note Added: 0059099
2016-10-25 16:16 apn Test case number => Not needed
2016-10-25 16:16 apn Status reviewed => tested
2016-10-28 14:35 apn Changeset attached => occt master 75378f50
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059403
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker